com.ibm.openpages.api.rule

## Class TBRuleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.rule.TBRuleException

- All Implemented Interfaces:
    java.io.Serializable

      public class TBRuleException
      extends OpenPagesException

  Represents exception thrown by the rule service
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_CYCLIC_CALCULATION`
    `static int` | `ERROR_SAVING_CALCULATION`
    `static int` | `ILLEGAL_RULE_OPERATION`
    `static int` | `INVALID_CALCULATION_CHAINING`
    `static int` | `INVALID_CONDITIONS`
    `static int` | `INVALID_RULE_DEFINITION`
    `static int` | `INVALID_VARIABLE_NAME`
    `static int` | `INVALID_VARIABLE_REFERENCE`
    `static int` | `MISSING_CALCULATION_PERMISSION`
    `static int` | `QUEUE_INITIALIZATION_FAILED`
    `static int` | `RESOURCE_HAS_NO_PARENT_OBJECT`
    `static int` | `RULE_DEFINITION_ALREADY_EXISTS`
    `static int` | `RULE_DEFINITION_CONCURRENT_MODIFICATION`
    `static int` | `RULE_DEFINITION_DOESNT_EXIST`
    `static int` | `RULE_DEFINITION_PROPERTY_DOESNT_EXIST`
    `static int` | `RULE_DEFINITIONS_DONT_EXIST`
    `static int` | `RULE_EXECUTION_FAILED`
    `static int` | `RULE_WORKFLOW_NOT_AUTOMATED`
    `static int` | `TASK_VIEW_ASYNC_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBRuleException(int errorMessageId, java.util.List<java.lang.Object> parameters, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WFConditionReport` | `getConditionReport()` Returns the `WFConditionReport` which contains all the validation results od the criteria in the rule definition.

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RULE_DEFINITIONS_DONT_EXIST

          public static final int RULE_DEFINITIONS_DONT_EXIST

      See Also:
        Constant Field Values

    - #### INVALID_RULE_DEFINITION

          public static final int INVALID_RULE_DEFINITION

      See Also:
        Constant Field Values

    - #### RESOURCE_HAS_NO_PARENT_OBJECT

          public static final int RESOURCE_HAS_NO_PARENT_OBJECT

      See Also:
        Constant Field Values

    - #### INVALID_CONDITIONS

          public static final int INVALID_CONDITIONS

      See Also:
        Constant Field Values

    - #### RULE_DEFINITION_DOESNT_EXIST

          public static final int RULE_DEFINITION_DOESNT_EXIST

      See Also:
        Constant Field Values

    - #### RULE_DEFINITION_CONCURRENT_MODIFICATION

          public static final int RULE_DEFINITION_CONCURRENT_MODIFICATION

      See Also:
        Constant Field Values

    - #### RULE_DEFINITION_ALREADY_EXISTS

          public static final int RULE_DEFINITION_ALREADY_EXISTS

      See Also:
        Constant Field Values

    - #### ILLEGAL_RULE_OPERATION

          public static final int ILLEGAL_RULE_OPERATION

      See Also:
        Constant Field Values

    - #### RULE_WORKFLOW_NOT_AUTOMATED

          public static final int RULE_WORKFLOW_NOT_AUTOMATED

      See Also:
        Constant Field Values

    - #### RULE_EXECUTION_FAILED

          public static final int RULE_EXECUTION_FAILED

      See Also:
        Constant Field Values

    - #### RULE_DEFINITION_PROPERTY_DOESNT_EXIST

          public static final int RULE_DEFINITION_PROPERTY_DOESNT_EXIST

      See Also:
        Constant Field Values

    - #### MISSING_CALCULATION_PERMISSION

          public static final int MISSING_CALCULATION_PERMISSION

      See Also:
        Constant Field Values

    - #### INVALID_CALCULATION_CHAINING

          public static final int INVALID_CALCULATION_CHAINING

      See Also:
        Constant Field Values

    - #### ERROR_CYCLIC_CALCULATION

          public static final int ERROR_CYCLIC_CALCULATION

      See Also:
        Constant Field Values

    - #### ERROR_SAVING_CALCULATION

          public static final int ERROR_SAVING_CALCULATION

      See Also:
        Constant Field Values

    - #### INVALID_VARIABLE_NAME

          public static final int INVALID_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### INVALID_VARIABLE_REFERENCE

          public static final int INVALID_VARIABLE_REFERENCE

      See Also:
        Constant Field Values

    - #### QUEUE_INITIALIZATION_FAILED

          public static final int QUEUE_INITIALIZATION_FAILED

      See Also:
        Constant Field Values

    - #### TASK_VIEW_ASYNC_TIMEOUT

          public static final int TASK_VIEW_ASYNC_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TBRuleException

          public TBRuleException(int errorMessageId,
                                 java.util.List<java.lang.Object> parameters,
                                 java.lang.Throwable cause)

      Parameters:
        `errorMessageId` -
        `parameters` -
        `cause` -

  - ### Method Detail

    - #### getConditionReport

          public WFConditionReport getConditionReport()

      Returns the `WFConditionReport` which contains all the validation results od the criteria in the rule definition.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.